summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-06-01 02:29:49 +0000
committerMike Frysinger <vapier@gentoo.org>2013-06-01 02:29:49 +0000
commit9894292f082e18eff905fb8808da8e445adf59a1 (patch)
treea6cd0895e1ac64ebfda3f137ac75569054d96b34 /eclass
parentVersion bump. (diff)
downloadgentoo-2-9894292f082e18eff905fb8808da8e445adf59a1.tar.gz
gentoo-2-9894292f082e18eff905fb8808da8e445adf59a1.tar.bz2
gentoo-2-9894292f082e18eff905fb8808da8e445adf59a1.zip
fcaps: _libcap_ng_verify: check the exit code of filecap in the pipeline and not the sed/sort commands
Diffstat (limited to 'eclass')
-rw-r--r--eclass/fcaps.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/fcaps.eclass b/eclass/fcaps.eclass
index f66fa71a5e56..ecfcbe124759 100644
--- a/eclass/fcaps.eclass
+++ b/eclass/fcaps.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/fcaps.eclass,v 1.5 2013/04/28 04:24:59 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/fcaps.eclass,v 1.6 2013/06/01 02:29:49 vapier Exp $
# @ECLASS: fcaps.eclass
# @MAINTAINER:
@@ -145,7 +145,8 @@ fcaps() {
-e "s:^.{${#file}} +::" \
-e 's:, +:\n:g' \
-e 2p | \
- LC_ALL=C sort) || return 1
+ LC_ALL=C sort)
+ [[ ${PIPESTATUS[0]} -eq 0 ]] || return 1
icaps=$(echo "${caps//,cap_}" | LC_ALL=C sort)
[[ ${rcaps} == ${icaps} ]]
}